/*
 * This file is generated by jOOQ.
 */
package be.lghs.accounting.model.tables.records;


import be.lghs.accounting.model.tables.Codas;

import java.util.UUID;

import javax.annotation.processing.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record5;
import org.jooq.Row5;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.14.9",
        "schema version:accounting_0010"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class CodasRecord extends UpdatableRecordImpl<CodasRecord> implements Record5<UUID, String, byte[], UUID, Integer> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>accounting.codas.id</code>.
     */
    public void setId(UUID value) {
        set(0, value);
    }

    /**
     * Getter for <code>accounting.codas.id</code>.
     */
    public UUID getId() {
        return (UUID) get(0);
    }

    /**
     * Setter for <code>accounting.codas.filename</code>.
     */
    public void setFilename(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>accounting.codas.filename</code>.
     */
    public String getFilename() {
        return (String) get(1);
    }

    /**
     * Setter for <code>accounting.codas.content</code>.
     */
    public void setContent(byte[] value) {
        set(2, value);
    }

    /**
     * Getter for <code>accounting.codas.content</code>.
     */
    public byte[] getContent() {
        return (byte[]) get(2);
    }

    /**
     * Setter for <code>accounting.codas.account_id</code>.
     */
    public void setAccountId(UUID value) {
        set(3, value);
    }

    /**
     * Getter for <code>accounting.codas.account_id</code>.
     */
    public UUID getAccountId() {
        return (UUID) get(3);
    }

    /**
     * Setter for <code>accounting.codas.sequence_number</code>.
     */
    public void setSequenceNumber(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>accounting.codas.sequence_number</code>.
     */
    public Integer getSequenceNumber() {
        return (Integer) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<UUID> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record5 type implementation
    // -------------------------------------------------------------------------

    @Override
    public Row5<UUID, String, byte[], UUID, Integer> fieldsRow() {
        return (Row5) super.fieldsRow();
    }

    @Override
    public Row5<UUID, String, byte[], UUID, Integer> valuesRow() {
        return (Row5) super.valuesRow();
    }

    @Override
    public Field<UUID> field1() {
        return Codas.CODAS.ID;
    }

    @Override
    public Field<String> field2() {
        return Codas.CODAS.FILENAME;
    }

    @Override
    public Field<byte[]> field3() {
        return Codas.CODAS.CONTENT;
    }

    @Override
    public Field<UUID> field4() {
        return Codas.CODAS.ACCOUNT_ID;
    }

    @Override
    public Field<Integer> field5() {
        return Codas.CODAS.SEQUENCE_NUMBER;
    }

    @Override
    public UUID component1() {
        return getId();
    }

    @Override
    public String component2() {
        return getFilename();
    }

    @Override
    public byte[] component3() {
        return getContent();
    }

    @Override
    public UUID component4() {
        return getAccountId();
    }

    @Override
    public Integer component5() {
        return getSequenceNumber();
    }

    @Override
    public UUID value1() {
        return getId();
    }

    @Override
    public String value2() {
        return getFilename();
    }

    @Override
    public byte[] value3() {
        return getContent();
    }

    @Override
    public UUID value4() {
        return getAccountId();
    }

    @Override
    public Integer value5() {
        return getSequenceNumber();
    }

    @Override
    public CodasRecord value1(UUID value) {
        setId(value);
        return this;
    }

    @Override
    public CodasRecord value2(String value) {
        setFilename(value);
        return this;
    }

    @Override
    public CodasRecord value3(byte[] value) {
        setContent(value);
        return this;
    }

    @Override
    public CodasRecord value4(UUID value) {
        setAccountId(value);
        return this;
    }

    @Override
    public CodasRecord value5(Integer value) {
        setSequenceNumber(value);
        return this;
    }

    @Override
    public CodasRecord values(UUID value1, String value2, byte[] value3, UUID value4, Integer value5) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached CodasRecord
     */
    public CodasRecord() {
        super(Codas.CODAS);
    }

    /**
     * Create a detached, initialised CodasRecord
     */
    public CodasRecord(UUID id, String filename, byte[] content, UUID accountId, Integer sequenceNumber) {
        super(Codas.CODAS);

        setId(id);
        setFilename(filename);
        setContent(content);
        setAccountId(accountId);
        setSequenceNumber(sequenceNumber);
    }
}
